## GstRTSPMediaFactoryURI

GstRTSPMediaFactoryURI — A factory for URI sources

## Functions

GstRTSPMediaFactoryURI * | gst_rtsp_media_factory_uri_new ()
void | gst_rtsp_media_factory_uri_set_uri ()
gchar * | gst_rtsp_media_factory_uri_get_uri ()

## Properties

gchar * | uri | Read / Write
gboolean | use-gstpay | Read / Write

## Types and Values

struct | GstRTSPMediaFactoryURI
struct | GstRTSPMediaFactoryURIClass

## Object Hierarchy

        GObject
        ╰── GstRTSPMediaFactory
            ╰── GstRTSPMediaFactoryURI

## Description

This specialized GstRTSPMediaFactory constructs media pipelines from a URI, given with `gst_rtsp_media_factory_uri_set_uri()`.

It will automatically demux and payload the different streams found in the media at URL.

Last reviewed on 2013-07-11 (1.0.0)

## Functions

### gst_rtsp_media_factory_uri_new ()

    GstRTSPMediaFactoryURI *
    gst_rtsp_media_factory_uri_new (void);

Create a new GstRTSPMediaFactoryURI instance.

#### Returns

a new GstRTSPMediaFactoryURI object.

[transfer full]

### gst_rtsp_media_factory_uri_set_uri ()

    void
    gst_rtsp_media_factory_uri_set_uri (GstRTSPMediaFactoryURI *factory,
                                        const gchar *uri);

Set the URI of the resource that will be streamed by this factory.

#### Parameters

factory | a GstRTSPMediaFactory |
uri | the uri the stream |

### gst_rtsp_media_factory_uri_get_uri ()

    gchar *
    gst_rtsp_media_factory_uri_get_uri (GstRTSPMediaFactoryURI *factory);

Get the URI that will provide media for this factory.

#### Parameters

factory | a GstRTSPMediaFactory |

#### Returns

the configured URI. `g_free()` after usage.

[transfer full]

## Types and Values

### struct GstRTSPMediaFactoryURI

    struct GstRTSPMediaFactoryURI;

A media factory that creates a pipeline to play and uri.

### struct GstRTSPMediaFactoryURIClass

    struct GstRTSPMediaFactoryURIClass {
      GstRTSPMediaFactoryClass  parent_class;
    };

The GstRTSPMediaFactoryURI class structure.

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The URI of the resource to stream.

Flags: Read / Write

Default value: NULL

### The `“use-gstpay”` property

      “use-gstpay”               gboolean

Use the gstpay payloader to avoid decoding.

Flags: Read / Write

Default value: FALSE

## See Also

GstRTSPMediaFactory, GstRTSPMedia